## visad.paoloa
Class Nasti.ChannelImage

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      visad.paoloa.Nasti.ChannelImage

All Implemented Interfaces:
  Accessible, ActionListener, EventListener, ImageObserver, ItemListener, MenuContainer, ScalarMapListener, Serializable

Enclosing class:
  Nasti

class Nasti.ChannelImage
extends JPanel
implements ActionListener, ItemListener, ScalarMapListener

this make an image of one NAST-I channel, with a JTextField for channel selection, a LabeledColorWidget for pixel colors and a spectrum display

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`(package private) JPanel` `dpanel1`
`(package private) JPanel` `dpanel2`
`(package private) FlatField` `image`
`(package private) DataReferenceImpl` `image_ref`
`(package private) ScalarMap` `radiance_map2`
`(package private) double[][]` `radiances`
`(package private) JButton` `recenter`
`(package private) DataReferenceImpl` `red_bar_ref`
`(package private) DataReferenceImpl` `red_cursor_ref`
`(package private) boolean` `skip_red`
`(package private) DataReferenceImpl` `spectrum_ref`
`(package private) DataReferenceImpl` `white_cursor_ref`
`(package private) JTextField` `wnum_field`
`(package private) JLabel` `wnum_label`
`(package private) float` `wnum_last`
`(package private) ScalarMap` `wnum_map`
`(package private) JCheckBox` `wnum_zoom`
`(package private) JPanel` `wpanel`
`(package private) boolean` `wzoom`
`(package private) JPanel` `zpanel`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`(package private)` `Nasti.ChannelImage()`

Method Summary
`void` `actionPerformed(ActionEvent e)` respond to user type-ins of wave number
`void` `controlChanged(ScalarMapControlEvent evt)` ignore changes to ScalarMap control
`(package private) void` `do_image(float wnum)` update image based on wave number
`(package private) void` `do_red_bar(float wnum)` update red_bar based on wave number
`(package private) void` `do_wzoom()`
`void` `itemStateChanged(ItemEvent e)`
`void` `mapChanged(ScalarMapEvent e)` respond to autoscale of atmosphericRadiance

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### radiances

    double[][] radiances

### image

    FlatField image

### image_ref

    DataReferenceImpl image_ref

### white_cursor_ref

    DataReferenceImpl white_cursor_ref

### red_cursor_ref

    DataReferenceImpl red_cursor_ref

### spectrum_ref

    DataReferenceImpl spectrum_ref

### red_bar_ref

    DataReferenceImpl red_bar_ref

### radiance_map2

    ScalarMap radiance_map2

### wnum_map

    ScalarMap wnum_map

### wpanel

    JPanel wpanel

### wnum_label

    JLabel wnum_label

### wnum_field

    JTextField wnum_field

### zpanel

    JPanel zpanel

### wnum_zoom

    JCheckBox wnum_zoom

### recenter

    JButton recenter

### dpanel1

    JPanel dpanel1

### dpanel2

    JPanel dpanel2

### wnum_last

    float wnum_last

### wzoom

    boolean wzoom

### skip_red

    boolean skip_red

Constructor Detail

### Nasti.ChannelImage

    Nasti.ChannelImage()
                 throws VisADException,
                        RemoteException

Method Detail

### do_image

    void do_image(float wnum)
            throws VisADException,
                   RemoteException

  update image based on wave number

  Throws:
    `VisADException`
    `RemoteException`

### do_red_bar

    void do_red_bar(float wnum)
              throws VisADException,
                     RemoteException

  update red_bar based on wave number

  Throws:
    `VisADException`
    `RemoteException`

### do_wzoom

    void do_wzoom()
            throws VisADException,
                   RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### mapChanged

    public void mapChanged(ScalarMapEvent e)

  respond to autoscale of atmosphericRadiance

  Specified by:
    `mapChanged` in interface `ScalarMapListener`
  Parameters:
    `e` - the event

### controlChanged

    public void controlChanged(ScalarMapControlEvent evt)

  ignore changes to ScalarMap control

  Specified by:
    `controlChanged` in interface `ScalarMapListener`
  Parameters:
    `evt` - the event

### actionPerformed

    public void actionPerformed(ActionEvent e)

  respond to user type-ins of wave number

  Specified by:
    `actionPerformed` in interface `ActionListener`

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  Specified by:
    `itemStateChanged` in interface `ItemListener`